#28 Tripwire Binary Changed - Normal?

closed
nobody
None
5
2005-06-01
2004-02-13
Anonymous
No

I have rebuild my linux couple of times because of the
tripwire binary got changed.

I have redownload all the iso from Fedora Core 1 directly
from Redhat and tripwire-2.3.1-18.fdr.3.1.i386.rpm from
ftp.pbone.net and check the md5sum.

I rebuild a fresh Fedora Core 1 and apply all the patches
on 02/11/04. Reboot the system couple of times and
recorded the Tripewire binaries file size and time stamp.
Then I disconnected the network cable. Today 02/12/04
the binaries file size got changed as usual!

Before
-rwxr-xr-x 1 root root 917616 Nov 30
14:21 /usr/sbin/siggen
-rwxr-xr-x 1 root root 1274992 Nov 30
14:21 /usr/sbin/tripwire
-rwxr-xr-x 1 root root 1121936 Nov 30
14:21 /usr/sbin/twadmin
-rwxr-xr-x 1 root root 1000944 Nov 30
14:21 /usr/sbin/twprint

After
-rwxr-xr-x 1 root root 924136 Nov 30
14:21 /usr/sbin/siggen
-rwxr-xr-x 1 root root 1281752 Nov 30
14:21 /usr/sbin/tripwire
-rwxr-xr-x 1 root root 1128520 Nov 30
14:21 /usr/sbin/twadmin
-rwxr-xr-x 1 root root 1007704 Nov 30
14:21 /usr/sbin/twprint

Have my fresh build system being HACK? Or is this
normal? I first notice this in Tripwire report.

Discussion

  • Ron Forrester

    Ron Forrester - 2005-06-01
    • status: open --> closed
     
  • Ron Forrester

    Ron Forrester - 2005-06-01

    Logged In: YES
    user_id=64576

    Marked closed in preparation for new source release which
    addresses many if not all outstanding support requests.

     

Log in to post a comment.